Skip to content

List recipient accounts

Request

Fetch a list of the user's recipient accounts. Use the profileId parameter to filter by the profile who created the accounts, you should do this based on the personal or business profile ID you have linked to, based on your use case. Other filters are listed below for your convenience, for example currency is a useful filter to use when presenting the user a list of recipients to choose from in the case they have already submitted the target currency in your flow.

Pagination

Pagination is supported for this endpoint. The response includes the seekPositionForNext and size parameters to manage this.

It works by setting size and seekPosition parameters in the call. Set the value in the seekPositionForNext of the previous response into the seekPosition parameter of your subsequent call in order to get the next page. To get the current page again, use the seekPositionForCurrent value.

Sorting

You can also set the sort parameter to control the sorting of the response, for example:

?sort=id,asc sort by id ascending.
?sort=id,desc sort by id descending.
?sort=currency,asc sort by currency ascending.

All query parameters are optional.

Security
UserToken
Query
creatorIdinteger, (int64)

Creator of the account.

profileIdinteger, (int64)

Filter by personal or business profile. Defaults to the personal profile.

profileinteger, (int64)

Alias for profileId.

currencystring

Filter responses by currency. Comma separated values supported (e.g. USD,GBP).

activeboolean

Filter by whether this profile is active. Defaults to true.

Default:true
typestring

Filter responses by account type. Comma separated values supported (e.g. iban,swift_code).

ownedByCustomerboolean

Filter to get accounts owned by the customer or not. Leave out to get all accounts.

sizeinteger, (int32), <= 20

Page size of the response. Defaults to a maximum of 20.

seekPositioninteger or null, (int64)

Account ID to start the page of responses from. null if no more pages.

sortstring

Sorting strategy for the response. Comma separated options - firstly either id or currency, followed by asc or desc for direction.

Example:sort=id,asc
Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. Learn more.

Example:f47ac10b-58cc-4372-a567-0e02b2c3d479
curl -i -X GET \
  'https://api.wise.com/v2/accounts?creatorId=0&profileId=0&profile=0&currency=string&active=true&type=string&ownedByCustomer=true&size=20&seekPosition=0&sort=id%2Casc' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'X-External-Correlation-Id: f47ac10b-58cc-4372-a567-0e02b2c3d479'

Responses

Paginated list of recipient accounts.

Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Echoed back when X-External-Correlation-Id was included in the request. Learn more.

Example:"f47ac10b-58cc-4372-a567-0e02b2c3d479"
x-trace-idstring

Unique trace identifier assigned by Wise. Useful when contacting support about a specific request.

Example:"fba501b6d453b96789f52338f019341f"
Bodyapplication/json
contentArray of objects

List of recipient accounts returned for this page.

seekPositionForNextinteger, (int64)

Seek position for the next page (use as seekPosition to fetch the next page).

seekPositionForCurrentinteger, (int64)

Seek position for the current page.

sortobject

Sort metadata.

sizeinteger, (int32)

Page size returned.

Example:20
Response
{ "content": [ { "id": 40000000, "creatorId": 41000000, "profileId": 30000000, "name": { … }, "currency": "GBP", "country": "GB", "type": "SortCode", "legalEntityType": "PERSON", "active": true, "details": { … }, "commonFieldMap": { … }, "hash": "666ef880f8aa6113fa112ba6531d3ed2c26dd9fgbd7de5136bfb827a6e800479", "accountSummary": "(04-00-75) 37778842", "longAccountSummary": "GBP account ending in 8842", "displayFields": [ … ], "isInternal": false, "ownedByCustomer": false } ], "seekPositionForNext": 40000001, "seekPositionForCurrent": 40000000, "sort": { "empty": true, "sorted": false, "unsorted": true }, "size": 20 }